if not gs then gs = {} end

gs.image = "gfx/statue.png"
gs.sound = "turntogold.wav"

gs.fadeouttime = 60000 -- 1min
gs.radius = 120000

addhook("kill","gs.kill")
addhook("startround","gs.roundstart")

function gs.roundstart()
	freetimer()
end

function gs.kill(killer,victim,weapon,x,y)
	local vicx = player(victim,"x")
	local vicy = player(victim,"y")
	if(weapon == 69) then
		for i = 1,32 do	
			if (gs.isinrange(victim,i)) then
				parse("sv_sound2 "..i.." "..gs.sound)	
			end
		end
		local iid = image(gs.image,x,y,0)
		parse('effect "colorsmoke" '..vicx..' '..vicy..'1 10 0 255 255 0')
		tween_rotate(iid,0,player(killer,"rot"))
		timer(gs.fadeouttime,"gs.imgtimer",tostring(iid),1)
	end
end

function gs.isinrange(p1,p2)
	if(player(p2,"exists")) then
		local a = player(p2,"x") - player(p1,"x")
		local b = player(p2,"y") - player(p1,"y")
		if((math.pow(a,2) + math.pow(b,2)) < gs.radius) then
			return true
		end
	end
	return false
end

function gs.imgtimer(iid)
	msg(iid)
	id = tonumber(iid)
	tween_alpha(id,5000,0)
	timer(5000,"gs.fimg",iid,1)
end

function gs.fimg(iid)
	id = tonumber(iid)
	freeimage(id)
end
